<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Отзывы и предложения ');
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Отзывы и предложения </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Отзывы и предложения </span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Отзывы и предложения </div>';

$do = isset($_GET['do']) ? check($_GET['do']) : false;
switch($do) {
default:
if ($b == true){
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM otzyvy WHERE user_id = ?", [$b['id']]) == 0) 
echo '<ul class="nav nav-pills nav-stacked"><li><a href="?do=add"><i class="md-apps"></i> Добавить отзыв</a></ul>';
}
if (isset($_GET['del'])) {
if ($b['level'] < 4) {
header('location: ?');
die();
}
DB::$dbs->query("DELETE FROM otzyvy WHERE id = ?", [abs((int)$_GET['del'])]);
header('location: ?');
die();
}

$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM otzyvy WHERE activ = ?", [1]);
if ($look == 0) {
err('Отзывов нет! Будь первым :)');
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM otzyvy WHERE activ = ? ORDER BY time DESC LIMIT $start,$num",[1]);
while($a = $sql->fetch()) {
$D = ($b['level'] > 4 ? '[<a href="?del='.$a['id'].'">Удл</a>] ':NULL);
echo '<div class="row text_box">'.Nick($a['user_id']).' ('.vr($a['time']).') '.$D.' </br>'.($a['type'] == 1 ? '<font color="green">'.text($a['text']).'</font>':'<font color="red">'.text($a['text']).'</font>').'</div>';
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
break;
case 'add':
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM otzyvy WHERE user_id = ?", [$b['id']]) > 0) {
header('location: ?');
die();
}
if (isset($_POST['add'])) {
$form = ['text' => isset($_POST['text']) ? check($_POST['text']) : null, 'type' => isset($_POST['type']) ? abs((int)$_POST['type']) : null, 'type' => isset($_POST['type']) ? abs((int)$_POST['type']) : null, 'sogl' => isset($_POST['sogl']) ? abs((int)$_POST['sogl']) : null];
if (empty($form['text']) OR empty($form['type']) OR empty($form['sogl'])) {
err('Ошибка добавления отзыва!');
} elseif (DB::$dbs->querySingle("SELECT COUNT(id) FROM otzyvy WHERE text = ?", [$form['text']]) > 0) {
err('Такой отзыв уже есть!');
} else {
DB::$dbs->query("INSERT INTO otzyvy SET text = ?, type = ?, user_id = ?, time= ?", [$form['text'],$form['type'],$b['id'],time()]);
echo '<div class="row text_box">Отзыв добавлен и отправлен на модерацию.</div>';
///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
die();
}
}
echo '<div class="row text_box"><form action="?do=add" method="POST">
Отзыв: <br/><br/>';
quickpaste('text');
quickpanel();
echo'</br></br> <textarea name="text" class="form-control" rows="3" ></textarea><br/>
Тип:<br/><input type="radio" name="type" value="1" checked="checked"/> Положительный<br/><input type="radio" name="type" value="2"/> Отрицательный<br/><input type="checkbox" name="sogl" value="1"/> Мой отзыв не содержит клевету и оскорбления. С правилами согласен<br/><input type="submit" name="add" class="btn btn-primary"value="Добавить"/></form></div>';
break;
}
///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>
